Yandex Cloud
Documentation
PresentationContact UsTry it for free
© 2026 Direct Cursus Technology L.L.C.
Yandex Object Storage
  • Pricing policy
  • Terraform reference
    • API authentication
      • How to use the API
      • Signing requests
      • Getting started with the S3 API
        • All services and methods
          • All methods
          • CreateBucket
          • GetBucketEncryption
          • HeadBucket
          • ListObjects
          • ListBuckets
          • DeleteBucket
          • DeleteBucketEncryption
          • PutBucketEncryption
          • PutBucketVersioning
          • GetBucketVersioning
          • PutBucketLogging
          • GetBucketLogging
          • ListObjectVersions
          • PutObjectLockConfiguration
          • GetObjectLockConfiguration
          • PutBucketTagging
          • GetBucketTagging
          • DeleteBucketTagging
        • Common request headers
        • Common response headers
        • Responses
  • Monitoring metrics
  • Audit Trails events
  • Bucket logs
  • Release notes
  • FAQ

In this article:

  • Request
  • Path parameters
  • Headings
  • Response
  • Headers
  • Response codes
  1. API reference
  2. AWS S3 REST
  3. REST
  4. Bucket
  5. CreateBucket

Object Storage API, Amazon S3-compatible REST: CreateBucket

Written by
Yandex Cloud
Updated at August 20, 2026
View in Markdown
  • Request
    • Path parameters
    • Headings
  • Response
    • Headers
    • Response codes

Creates a bucket.

For more information on getting started with the API and the general request format, see How to use the S3 API.

RequestRequest

PUT /{bucket} HTTP/2

Path parametersPath parameters

Parameter

Description

bucket

Bucket name.

When creating a bucket, follow the naming conventions.

HeadingsHeadings

Use common headers in your requests.

The headers below enable you to set the ACL for the bucket being created.

Header

Description

X-Amz-Acl

Sets permission types for a bucket.

X-Amz-Grant-Read

Grants the access grantee permission to view the contents of a bucket and read objects in it.

X-Amz-Grant-Write

Grants the access grantee object write permission. Make sure to use this header with X-Amz-Grant-Read; otherwise, Object Storage will return the 501 Not Implemented code.

X-Amz-Grant-Read-Acp

Grants the access grantee bucket ACL read permission.

X-Amz-Grant-Write-Acp

Grants the access grantee bucket ACL write permission.

X-Amz-Grant-Full-Control

Grants the access grantee the READ, WRITE, READ_ACP, and WRITE_ACP permissions for the bucket.

The value for the X-Amz-Grant-* header is a comma-separated list of access grantees. Each access grantee is identified as <access_grantee_type>:<access_grantee_ID>. Object Storage supports the following types of access grantees:

  • id: Access grantee is a cloud user.
  • uri: Access grantee is a public group.

Example:

X-Amz-Grant-Read: uri="http://acs.amazonaws.com/groups/s3/AuthenticatedUsers"

ResponseResponse

HeadersHeaders

Responses can only contain common headers.

Response codesResponse codes

For a list of possible responses, see Responses.

A successful response does not contain any additional data.

Related articlesRelated articles

  • Bucket in Object Storage

  • Creating a bucket

Useful linksUseful links

  • Getting started with the AWS S3 API in Yandex Object Storage

  • Debugging requests using the AWS CLI

  • Example of sending a signed request using curl

  • Code example for generating a signature

Was the article helpful?

Previous
All methods
Next
GetBucketEncryption
© 2026 Direct Cursus Technology L.L.C.